Subject: Re: Windows Server?

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 28 Apr 2009 15:46:53 -0700

John Dlugosz <[email-masked]> wrote:
> We are a Windows' shop, writing software that runs on Windows.
> Naturally, the network location I.T. provided for the repository is on a
> Windows server.  I'm concerned with using file:// access once everyone
> starts using it in earnest, especially over a cross-continent VPN.

Yea, really, you want a Git server of some kind on that host.
file:// over SMB over VPN isn't pretty.
 
> I suppose that git-daemon isn't available as a Windows service.

Nope.  You could try JGit and its "jgit daemon".  Its a pure
Java server.

> I
> posted a short time ago asking about it, and the news did not seem good.
> So, is ssh a good second?

How are you going to run SSH on the server?  Cygwin SSH?

But yes, the SSH protocol is the git:// protocol, tunneled through SSH,
and will be much more efficient over the VPN than SMB.

> Is there anything that needs to be done on the server machine, other
> than having a SSH server, and formulating the path the way the disk
> really is on that machine (as opposed to the network share structure)?

Nope, not really.
 
-- 
Shawn.